Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class BirthResponseType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.BirthResponseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:46:11+02:00",
               comments="JAXB RI v2.2.11")
    public class BirthResponseType

extends Object
implements Serializable

information about the birth of a person

Java class for BirthResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BirthResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BirthDate" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}IncompleteDateType" minOccurs="0"/>
             <element name="BirthPlace" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}WhereResponseType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BirthResponseType()`

Method Summary
`String` | `getBirthDate()` Gets the value of the birthDate property.
`WhereResponseType` | `getBirthPlace()` Gets the value of the birthPlace property.
`void` | `setBirthDate(String value)` Sets the value of the birthDate property.
`void` | `setBirthPlace(WhereResponseType value)` Sets the value of the birthPlace property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BirthResponseType

    public BirthResponseType()

Method Detail

### getBirthDate

    public String getBirthDate()

  Gets the value of the birthDate property.

  Returns:
    possible object is `String`

### setBirthDate

    public void setBirthDate(String value)

  Sets the value of the birthDate property.

  Parameters:
    `value` - allowed object is `String`

### getBirthPlace

    public WhereResponseType getBirthPlace()

  Gets the value of the birthPlace property.

  Returns:
    possible object is `WhereResponseType`

### setBirthPlace

    public void setBirthPlace(WhereResponseType value)

  Sets the value of the birthPlace property.

  Parameters:
    `value` - allowed object is `WhereResponseType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.